Groups | Search | Server Info | Keyboard shortcuts | Login | Register [http] [https] [nntp] [nntps]


Groups > linux.kernel > #1558996

[tip:locking/core] locking/ww_mutex: Add ww_mutex to tools/testing/selftests

From tip-bot for Chris Wilson <tipbot@zytor.com>
Newsgroups linux.kernel
Subject [tip:locking/core] locking/ww_mutex: Add ww_mutex to tools/testing/selftests
Date 2017-01-14 14:00 +0100
Message-ID <sZw67-64k-43@gated-at.bofh.it> (permalink)
References <sJy2e-3i8-33@gated-at.bofh.it>
Organization linux.* mail to news gateway

Show all headers | View raw


Commit-ID:  2b0b211134a65401ed874ce0d5d48844f4f6f341
Gitweb:     http://git.kernel.org/tip/2b0b211134a65401ed874ce0d5d48844f4f6f341
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Thu, 1 Dec 2016 11:47:11 +0000
Committer:  Ingo Molnar <mingo@kernel.org>
CommitDate: Sat, 14 Jan 2017 11:37:17 +0100

locking/ww_mutex: Add ww_mutex to tools/testing/selftests

Add the minimal test running (modprobe test-ww_mutex) to the kselftests
CI framework.

Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
Signed-off-by: Peter Zijlstra (Intel) <peterz@infradead.org>
Cc: Andrew Morton <akpm@linux-foundation.org>
Cc: Linus Torvalds <torvalds@linux-foundation.org>
Cc: Paul E. McKenney <paulmck@linux.vnet.ibm.com>
Cc: Peter Zijlstra <peterz@infradead.org>
Cc: Shuah Khan <shuah@kernel.org>
Cc: Thomas Gleixner <tglx@linutronix.de>
Link: http://lkml.kernel.org/r/20161201114711.28697-9-chris@chris-wilson.co.uk
Signed-off-by: Ingo Molnar <mingo@kernel.org>
---
 tools/testing/selftests/locking/ww_mutex.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/tools/testing/selftests/locking/ww_mutex.sh b/tools/testing/selftests/locking/ww_mutex.sh
new file mode 100644
index 0000000..6905da9
--- /dev/null
+++ b/tools/testing/selftests/locking/ww_mutex.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+# Runs API tests for struct ww_mutex (Wait/Wound mutexes)
+
+if /sbin/modprobe -q test-ww_mutex; then
+       /sbin/modprobe -q -r test-ww_mutex
+       echo "locking/ww_mutex: ok"
+else
+       echo "locking/ww_mutex: [FAIL]"
+       exit 1
+fi

Back to linux.kernel | Previous | Next | Find similar | Unroll thread


Thread

[tip:locking/core] locking/ww_mutex: Add ww_mutex to  tools/testing/selftests tip-bot for Chris Wilson <tipbot@zytor.com> - 2017-01-14 14:00 +0100

csiph-web